Name: 		parallel
Summary:	Shell tool for executing jobs in parallel
Version: 	20150522
Release: 	1%{?dist}
License: 	GPL
Group: 		Productivity/File utilities
URL: 		http://ftp.gnu.org/gnu/parallel/
Source0: 	http://ftp.gnu.org/gnu/parallel/%{name}-%{version}.tar.bz2
BuildArch:	noarch
BuildArchitectures: noarch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot

%define maketest  0


%description
GNU parallel is a shell tool for executing jobs in parallel using one or
more computers. A job can be a single command or a small script that has
to be run for each of the lines in the input. The typical input is a list
of files, a list of hosts, a list of users, a list of URLs, or a list of
tables. A job can also be a command that reads from a pipe. GNU parallel
can then split the input and pipe it into commands in parallel.

If you use xargs and tee today you will find GNU parallel very easy to use
as GNU parallel is written to have the same options as xargs. If you write
loops in shell, you will find GNU parallel may be able to replace most of
the loops and make them run faster by running several jobs in parallel.

GNU parallel makes sure output from the commands is the same output as you
would get had you run the commands sequentially. This makes it possible to
use output from GNU parallel as input for other programs.

For each line of input GNU parallel will execute command with the line as
arguments. If no command is given, the line of input is executed. Several
lines will be run in parallel. GNU parallel can often be used as a
substitute for xargs or cat | bash. 


%prep
%setup -q -n %{name}-%{version}


%build
./configure
%{__make}


%install
%{__make} install prefix=$RPM_BUILD_ROOT%{_prefix} exec_prefix=$RPM_BUILD_ROOT%{_prefix} \
    datarootdir=$RPM_BUILD_ROOT%{_prefix} docdir=$RPM_BUILD_ROOT%{_docdir} \
    mandir=$RPM_BUILD_ROOT%{_mandir}

find $RPM_BUILD_ROOT/%{_docdir} -name "*.html" -exec rm -vf {} \;
find $RPM_BUILD_ROOT/%{_docdir} -name "*.texi" -exec rm -vf {} \;
find $RPM_BUILD_ROOT/%{_docdir} -name "*.pdf" -exec rm -vf {} \;

%check
%if %maketest
%{__make} test
%endif


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/*
%doc %{_mandir}/man?/*
%doc README NEWS src/parallel.html src/sem.html src/sql.html src/niceload.html

%changelog
* Wed Jun 03 2015 Jaroslaw Polok <jaroslaw.polok@cern.ch> - 20150522-1
- update
- build for CC7 too

* Fri Oct 25 2013 Jaroslaw Polok <jaroslaw.polok@cern.ch>
- SLC build
* Tue Jan 22 2013 Holger Manthey <holger.manthey@bertelsmann.de>
- inital package
